=== debian/changelog ===
rclone (1.47.0+ex1-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12
  * debian patch update_koofr_API_a35aa1360.patch applies upstream
    commit a35aa1360 updating for latest koofr API.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Aug 2019 13:15:25 +0800

rclone (1.47.0+ex1-5) experimental; urgency=medium

  * Team upload.
  * allow 20 min for mips64el mipsel to complete TestTestsToRegexpLive

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 May 2019 18:08:39 +0800

rclone (1.47.0+ex1-4) experimental; urgency=medium

  * Team upload.
  * define dummy subdir ($CURDIR)/buildtest to use as home and cache
    for build-time tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 May 2019 15:49:20 +0800

rclone (1.47.0+ex1-3) experimental; urgency=medium

  * Team upload.
  * Versioned Depends: golang-github-ncw-swift-dev (>= 1.0.47)

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 May 2019 14:47:31 +0800

rclone (1.47.0+ex1-2) experimental; urgency=medium

  * Team upload.
  * Depends, Build-Depends:
      golang-github-koofr-go-httpclient-dev
      golang-github-koofr-go-koofrclient-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 May 2019 13:50:41 +0800

rclone (1.47.0+ex1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.47.0. Closes: #924745.
    - supports symlinks
    - supports DLNA servers (but support is disabled)
    - versioned dependencies:
      golang-github-abbot-go-http-auth-dev (>= 0.4.0)
      golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 5.4.0)
      golang-google-api-dev (>= 0.1.0)
  * Debian patch disable_dlna.patch disables support for DLNA servers,
    since github/anacrolix/dms is not currently available in Debian.
    - exclude cmd/serve/dlna in debian/watch (repack as version "+ex1")

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 May 2019 11:11:01 +0800
