=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rclone-$1\.tar\.gz/, compression=xz, repack, dversionmangle=s/\+ex\d//, repacksuffix=+ex1" \
  https://github.com/ncw/rclone/tags .*/v?(\d\S+)\.tar\.gz
