=== debian/changelog ===
rclone (1.50.2-2ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 17:16:56 +0100

rclone (1.50.2-2ubuntu0.1) focal; urgency=medium

  * d/p/0008-fix-gdrive-download.patch: remove check for size, so google
    docs are identified solely by not having an MD5 checksum
    (LP: #1937136)
  * d/control: add missing build-depends for
    golang-github-mattn-go-colorable-dev (LP: #1966950)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 29 Mar 2022 10:28:41 -0300

rclone (1.50.2-2) unstable; urgency=medium

  * Team upload.
  * mark usr/bin/build_csv as not-installed
    (it is an internal tool associated with rclone's info command)

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jan 2020 12:14:40 +0800

rclone (1.50.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies 0006-Adapt-script-to-use-python3.patch
    - Build-Depends:
        golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
        golang-github-youmark-pkcs8-dev
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Jan 2020 10:19:27 +0800

rclone (1.49.5-3) unstable; urgency=medium

  * Source-only upload.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 29 Oct 2019 21:22:48 +0100

rclone (1.49.5-2) unstable; urgency=medium

  * No change upload to build against golang-github-jzelinskie-whirlpool-dev,
    version 0.0~git20170603.c19460b-2. The previous upload has been rejected
    because the field Built-Using referred to the -1 version of that package,
    which is no longer available in the ftp-master archive.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 28 Oct 2019 20:56:23 +0100

rclone (1.49.5-1) unstable; urgency=medium

  [ Drew Parsons ]
  * update debian/copyright, debian/watch to stop excluding
    cmd/serve/dlna.

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.49.5
    - Refresh patches
    - Remove patches which have been applied upstream
    - Rename -dev package to new upstream namespace
    - Add golang-github-atotto-clipboard-dev to Build-Depends
    - Add two new dependencies
    - Update bash completion for new release
    - Remove <script> to disable possible privacy breach
  * Update Standards-Version to 4.4.1, no changes needed
  * Remove README.Debian, is no longer relevant
  * Do not include installation instructions in manpage. (Closes: #941209)
    - Remove patch for manpage, is now obsolete
    - New patch for manpage
    - Add pandoc and python3 to Build-Depends
  * Add three test binaries to d/not-installed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 18 Oct 2019 00:57:22 +0200

rclone (1.47.0+ex1-7) unstable; urgency=medium

  * Team upload.
  * debian patch reinstate_dlna.patch reinstates support for DLNA
    servers (via dms). Drop disable_dlna.patch.
    Build-Depends: golang-github-anacrolix-dms-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2019 00:49:23 +0800
