=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rclone
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 12),
@@ -11,20 +12,26 @@
                golang-bazil-fuse-dev,
                golang-github-a8m-tree-dev,
                golang-github-abbot-go-http-auth-dev (>= 0.4.0),
+               golang-github-anacrolix-dms-dev,
+               golang-github-atotto-clipboard-dev,
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
                golang-github-azure-azure-storage-blob-go-dev,
                golang-github-coreos-bbolt-dev,
                golang-github-djherbis-times-dev,
                golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 5.4.0),
                golang-github-jlaffaye-ftp-dev,
+               golang-github-jzelinskie-whirlpool-dev,
                golang-github-koofr-go-httpclient-dev,
                golang-github-koofr-go-koofrclient-dev,
+               golang-github-mattn-go-colorable-dev,
                golang-github-ncw-go-acd-dev,
                golang-github-ncw-swift-dev (>= 1.0.47),
                golang-github-nsf-termbox-go-dev,
                golang-github-okzk-sdnotify-dev,
                golang-github-patrickmn-go-cache-dev,
                golang-github-pkg-errors-dev,
+               golang-github-putdotio-go-putio-dev,
                golang-github-rfjakob-eme-dev,
                golang-github-sevlyar-go-daemon-dev,
                golang-github-skratchdot-open-golang-dev,
@@ -33,31 +40,37 @@
                golang-github-stretchr-testify-dev,
                golang-github-unknwon-goconfig-dev,
                golang-github-xanzy-ssh-agent-dev,
+               golang-github-youmark-pkcs8-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev (>= 0.1.0)
-Standards-Version: 4.4.0
-Homepage: https://github.com/ncw/rclone
+               golang-google-api-dev (>= 0.1.0),
+               pandoc,
+               python3
+Standards-Version: 4.5.0
+Homepage: https://github.com/rclone/rclone
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rclone
 Vcs-Git: https://salsa.debian.org/go-team/packages/rclone.git
-XS-Go-Import-Path: github.com/ncw/rclone
+XS-Go-Import-Path: github.com/rclone/rclone
 
-Package: golang-github-ncw-rclone-dev
+Package: golang-github-rclone-rclone-dev
 Section: devel
 Architecture: all
 Depends: golang-bazil-fuse-dev,
          golang-github-a8m-tree-dev,
          golang-github-abbot-go-http-auth-dev (>= 0.4.0),
+         golang-github-anacrolix-dms-dev,
+         golang-github-atotto-clipboard-dev,
          golang-github-aws-aws-sdk-go-dev,
          golang-github-azure-azure-storage-blob-go-dev,
          golang-github-coreos-bbolt-dev,
          golang-github-djherbis-times-dev,
          golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 5.4.0),
          golang-github-jlaffaye-ftp-dev,
+         golang-github-jzelinskie-whirlpool-dev,
          golang-github-koofr-go-httpclient-dev,
          golang-github-koofr-go-koofrclient-dev,
          golang-github-ncw-go-acd-dev,
@@ -66,6 +79,7 @@
          golang-github-okzk-sdnotify-dev (>= 0.0~git20180710.d9becc3-1),
          golang-github-patrickmn-go-cache-dev,
          golang-github-pkg-errors-dev,
+         golang-github-putdotio-go-putio-dev,
          golang-github-rfjakob-eme-dev,
          golang-github-sevlyar-go-daemon-dev,
          golang-github-skratchdot-open-golang-dev,
