=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,26 @@
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion
 
+# The docs (MANUAL.md, MANUAL.html and rclone.1 manpage) all
+# contain information about the download and installation
+# of rclone. This is not useful for Debian.
+# The solution is a patch for the docs build system, then
+# regenerate the docs. See #941209.
+override_dh_install:
+	# Generate MANUAL.md
+	./bin/make_manual.py
+	# Generate HTML and manpage
+	pandoc -s --from markdown --to html MANUAL.md -o MANUAL.html
+	pandoc -s --from markdown --to man MANUAL.md -o rclone.1
+	# Now fix some lexgrog errors in the manpage:
+	# Remove the only line with .hy on it (near the top of the file)
+	sed -i -e "/^\.hy/d" rclone.1
+	# Use a proper NAME section header
+	sed -i -e "s/^\.SH Rclone/.SH NAME\nRclone/" rclone.1
+	# Finally, replace the first occurence of .PP with a section header
+	sed -i -e "1,/^\.PP/{s/\.PP/.SH DESCRIPTION/}" rclone.1
+	dh_install -O--buildsystem=golang
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf $(BUILDTESTDIR)
@@ -31,5 +51,5 @@
 # so provide a null config
 override_dh_auto_test:
 	export XDG_CONFIG_HOME=$(BUILDTESTDIR); \
-	export  XDG_CACHE_HOME=$(BUILDTESTDIR); \
+	export XDG_CACHE_HOME=$(BUILDTESTDIR); \
 	dh_auto_test -- $(EXTRA_TESTFLAGS)
